<html>
<head>
<title>REPROGRAMACION INDIVIDUAL DEL PERSONAL ASITENCIAL</title>
<link rel="stylesheet" type="text/css" href="styles/Style.css">
<script language="JavaScript">
function guardarobs(){
var obs = document.getElementById('obs').value;
var anno = document.getElementById('anno').value;
var mes = document.getElementById('mes').value;
var ugid = document.getElementById('ugid').value;
var idsp = document.getElementById('idsp').value;
var idjp = document.getElementById('idjp').value;
document.location ="verdetallerepro.php?obs=" + obs +"&anno="+anno+"&mes="+mes+"&ugid="+ugid+"&idsp="+idsp+"&idjp="+idjp;
window.opener.location.reload();
}
</script>
</head>
<body>
<?php
require_once("class/class.conectar.php");
require_once("class/class.usudep.php");
require_once("class/class.usutrab.php");
require_once("class/class.usuaprueba.php");
require_once("class/class.garea.php");
require_once("class/class.area.php");
require_once("class/class.horario.php");
require_once("class/class.personal.php");
require_once("class/class.jefaturas.php");
require_once("class/class.subreprogxarea.php");


$Objcon = new Conectar();
$conex = $Objcon->con();

date_default_timezone_set('UTC');

$anno=$_GET['anno'];
$mm=$_GET['mes'];
$idsp=$_GET['idsp'];
$idjp=$_GET['idjp'];
$ugid=$_GET['ugid'];

//session_start();
echo "<input type='hidden' id='mes' name='mes' value='".$mm."'>";
echo "<input type='hidden' id='anno' name='anno' value='".$anno."'>";
echo "<input type='hidden' id='ugid' name='ugid' value='".$ugid."'>";
echo "<input type='hidden' id='idjp' name='idjp' value='".$idjp."'>";
echo "<input type='hidden' id='idsp' name='idsp' value='".$idsp."'>";

$mes = mktime( 0, 0, 0, $mm, 1, $anno );
$numeroDeDias = intval(date("t",$mes));

//armando grupo de servicios y sus dependencias
$Objj = new Jefaturas();
$datosj[] = array();
$datosj1=$Objj->buscar_jefatura($conex,$idjp);
$datosj2=$Objj->listar_jefatura_servicio($conex,$idjp);
$datosj=array_merge($datosj1, $datosj2);
//print_r($datosj);
//algunos datos
//Pregunta por Dependencia del trabajador
$Objud = new UsuarioDependencia();
$res_per_dep = array();
$res_per_dep= $Objud->buscar_per_dep_programado($conex,$ugid,$anno,$mm);
$idj=$res_per_dep[0]['idj'];
$ids=$res_per_dep[0]['ids'];
$idtp=$res_per_dep[0]['idtp'];

$Objper = new Personal();
$res_dat_per = array();
$res_dat_per = $Objper->buscar_datos_per($conex,$ugid);
$codigo = $res_dat_per[0]['codigo'];
$nombre = $res_dat_per[0]['nombre'];
$jefatura = $res_dat_per[0]['jefatura'];
$servicio = $res_dat_per[0]['servicio'];
$cargo = $res_dat_per[0]['cargo'];
$dni = $res_dat_per[0]['dni'];
$especialidad = $res_dat_per[0]['especialidad'];
$numplanilla = $res_dat_per[0]['planilla'];
$numcoleg = $res_dat_per[0]['numcoleg'];
$numespecialidad = $res_dat_per[0]['numesp'];

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');


$diasresta = $numeroDeDias-27;
$diasrestantes = $diasresta + 1;
$diascabecera = $diasresta + 16;
$cabeceramayor = $diascabecera + 16;
?>

<table align="center">
<tr><td align="center" colspan='<?php echo $cabeceramayor;?>'><b>FORMATO UNICO DE LA PROGRAMACION DEL PROFESIONAL - ESSALUD</b></td></tr>
<tr><td class='facetfilaTD'>RED ASISTENCIAL</td><td align="left" colspan='8'class='FacetDataTextC'>INSTITUTO NACIONAL CARDIOVASCULAR</td><td colspan='7' class='facetfilaTD'>CENTRO ASISTENCIAL</td><td align="left" colspan='<?php echo $diascabecera;?>' class='FacetDataTextC'>INSTITUTO NACIONAL CARDIOVASCULAR</td></tr>
<tr><td class='facetfilaTD'>DEPARTAMENTO</td><td align="left" colspan='8' class='FacetDataTextC'><?php echo $jefatura;?> </td><td colspan='7' class='facetfilaTD'>SERVICIO</td><td align="left" colspan='<?php echo $diascabecera;?>' class='FacetDataTextC'><?php echo $servicio;?> </td></tr>
<tr><td class='facetfilaTD'>ESPECIALIDAD</td><td align="left" colspan='8' class='FacetDataTextC'><?php echo $especialidad;?> </td><td colspan='7' class='facetfilaTD'>CARGO</td><td align="left" colspan='8' class='FacetDataTextC'><?php echo $cargo;?></td><td colspan='7' class='facetfilaTD'>NRO COLEGIATURA</td><td align="left" colspan='<?php echo $diasrestantes; ?>' class='FacetDataTextC'><?php echo $numcoleg;?></td></tr>
<tr><td class='facetfilaTD'>APELLIDOS Y NOMBRES</td><td align="left" colspan='15' class='FacetDataTextC'><?php echo $nombre;?> </td><td colspan='2' class='facetfilaTD'>NRO DNI</td><td align="left" colspan='6' class='FacetDataTextC'><?php echo $dni;?></td><td colspan='7' class='facetfilaTD'>NRO ESPECIALIDAD</td><td align="left" colspan='<?php echo $diasrestantes; ?>' class='FacetDataTextC'><?php echo $numespecialidad;?></td></tr>

<?php
$calendario = "<tr><td class='facetfilaTD'>MES QUE INICIA</td><td align='left' colspan='3' class='FacetDataTextC'>".$arraymes[$mm-1]['mes']."</td>";

//HORAS ORDINARIAS

for ($i=1;$i<=$numeroDeDias;$i++){

$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno ));
switch ($dia) {
    case 0:
        $calendario = $calendario."<td align='center' class='facetdataTDR' width='20'><b>DOM</b></td>";
        break;
    case 1:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>LUN</td>";
        break;
    case 2:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>MAR</td>";
        break;
	case 3:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>MIE</td>";
        break;
	case 4:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>JUE</td>";
        break;
	case 5:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>VIE</td>";
        break;
	case 6:
        $calendario = $calendario."<td align='center' class='facetdataTD' width='20'>SAB</td>";
        break;
}
}
$calendario = $calendario."<td class='facetfilaTD' rowspan='2' align='center' width='60'>TOTAL DE<BR>HORAS</td></tr>";
$calendario = $calendario."<tr><td class='facetfilaTD'>AREAS / ACTIVIDADES</td><td class='facetfilaTD' colspan='2' align='center' >TURNO</td><td class='facetfilaTD' align='center'>NRO HORAS</td>";

for ($i=1;$i<=$numeroDeDias;$i++){

$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno ));
switch ($dia) {
    case 0:
        $calendario = $calendario."<td align='center' class='facetfilaTD'><b>$i</b></td>";
        break;
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
        $calendario = $calendario."<td align='center' class='facetfilaTD'>$i</td>";
        break;
}
}
$calendario = $calendario."</tr>";
$hordinarias='';
$hextras='';
$hordinariasapoyo='';
$hextrasapoyo='';
//horas ordinarias
$hordinariasencabeza = "<tr><td align='left' colspan='".$cabeceramayor."' class='facetfilaTD'><b>HORAS ORDINARIAS</b></td></tr>";
		//pregunta por el grupo area
			$Objga = new GrupoArea();
			$res_gaprog = array();
			$res_gaprog = $Objga->listar_garea_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp, $ugid,0);

			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$garea= $res_gaprog[$iga]['garea'];
			$hordinarias=$hordinarias."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>".$garea."</td></tr>";
			//}
					//pregunta por las areas
						$Obja = new Area();
						$res_aprog = array();
						$res_aprog = $Obja->listar_area_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,$idga,0);
						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];

						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida);
						$hordinarias=$hordinarias."<tr><td rowspan='".$cantreg."' class='LlenarTablaGarea'>".$area."</td>";

						//pregunta por el horario
						$res_hrs = $Objh->lis_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida);
						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];

						//pregunta por el turno
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);
						$hordinarias=$hordinarias."<td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['hora']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['turno']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['numhora']."</td>";

						for ($j=1;$j<=$numeroDeDias;$j++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->reprog_hrs_persona($conex,$j,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida,$idh);

						$dia= date("w",mktime( 0, 0, 0, $mm, $j, $anno ));
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $hordinarias=$hordinarias."<td width='20' align='center' class ='FacetDataText'>-</td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hordinarias=$hordinarias."<td width='20' align='center' class='llenarTabla'>-</td>"; break;
						}

						}else{

						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $hordinarias=$hordinarias."<td width='20' align='center' class ='FacetDataText'><b>".$hrord."</b></td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hordinarias=$hordinarias."<td width='20'  align='center' class='llenarTabla'>".$hrord."</td>"; break;
						}
						}


						}




		//Suma de Horas por Turno o Horario
			$totalhorasturno=$Objh->sum_hrs_persona_turno_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida,$idh);

		if($totalhorasturno==0){
			$hordinarias=$hordinarias."<td width='60' class='facetfilaTD' align='center'><b>-</b></td></tr>";
		}else{
			$hordinarias=$hordinarias."<td width='60' class='facetfilaTD'  align='center'><b>".$totalhorasturno."</b></td></tr>";
		}
	}

		}

	//sub cantidades de los grupos de areas
	$subtotalhrs="";
						for ($k=1;$k<=$numeroDeDias;$k++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_reprog($conex,$k,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga);

							if($numhrsga>0){
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>".$numhrsga."</b></td>";
							}else{
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>-</b></td>";
							}
						}

						//horas subtotales por personal grupo area
						$tothrs= $Objh->sum_hrs_per_total_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga);

    $subtotalhrsa="<tr><td align='left' colspan='4' class='llenarsubT'>SUB TOTAL DE HORAS</td>".$subtotalhrs."<td width='60' class='llenarsubT' align='center'>".$tothrs."</td></tr>";
	$hordinarias=$hordinarias.$subtotalhrsa;
	$subtotalhrs="";
	}

	}

	//total de hrs ordinarias
	$totalhrs="";
	for ($p=1;$p<=$numeroDeDias;$p++){
		$Objh = new Horario();
		$sumhrdia_to= $Objh->sum_hrs_per_garea_reprog($conex,$p,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0);
							if($sumhrdia_to>0){
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>".$sumhrdia_to."</b></td>";
							}else{
							//echo $sqlaskhrsga."<br>";
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>0</b></td>";
							}
						}

						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0);

    $totalhrsord="<tr><td align='left' colspan='4' class='llenarTot'>TOTAL DE HORAS ORDINARIAS</td>".$totalhrs."<td width='60' class='llenarTot' align='center'>".$to_hrs_per."</td></tr>";
	$hordinarias=$hordinarias.$totalhrsord;
	$totalhrs="";
	//final de horas ordinarias
	//final de horas ordinarias del servicio

/////////////////////////////////////////////////////////horas ordinarias en otros servicios

$hordinariasapoyoencabeza = "<tr><td align='left' colspan='".$cabeceramayor."' class='facetfilaTD'><b>HORAS ORDINARIAS</b></td></tr>";

//buscando programacion por servicio
for($iso=0;$iso<count($datosj);$iso++){
$idso = $datosj[$iso]['ids'];
$Objshp = new SubhoraReprogramado();
$res_hrsprog = $Objshp->ask_hrsreprog_per($conex,$ugid,$anno,$mm,$idtp,$idj,$ids,$idso,0);
	if(count($res_hrsprog)>0){
			$hordinariasapoyo=$hordinariasapoyo."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>APOYO AL ".$datosj[$iso]['nom']."</td></tr>";

		//pregunta por el grupo area
			$Objga = new GrupoArea();
			$res_gaprog = array();
			$res_gaprog = $Objga->listar_garea_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp, $ugid,0);

			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			///////////
			$subtotalhrs="";
			$idga= $res_gaprog[$iga]['idga'];
			$hordinariasapoyo=$hordinariasapoyo."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>".$res_gaprog[$iga]['garea']."</td></tr>";
			//}
					//pregunta por las areas
						$Obja = new Area();
					$res_aprog = array();
					$res_aprog = $Obja->listar_area_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,$idga,0);

						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];

						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida);
						$hordinariasapoyo=$hordinariasapoyo."<tr><td rowspan='".$cantreg."' class='LlenarTablaGarea'>".$area."</td>";

						//pregunta por los horarios
						$res_hrs = $Objh->lis_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida);

						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];

						//Pregunta por el Horario
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);

						$hordinariasapoyo=$hordinariasapoyo."<td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['hora']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['turno']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['numhora']."</td>";

						for ($j=1;$j<=$numeroDeDias;$j++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->reprog_hrs_persona($conex,$j,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida,$idh);

						$dia= date("w",mktime( 0, 0, 0, $mm, $j, $anno ));
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $hordinariasapoyo=$hordinariasapoyo."<td width='20' align='center' class ='FacetDataText'> </td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hordinariasapoyo=$hordinariasapoyo."<td width='20' align='center' class='llenarTabla'> </td>"; break;
						}

						}else{

						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $hordinariasapoyo=$hordinariasapoyo."<td width='20' align='center' class ='FacetDataText'><b>".$hrord."</b></td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hordinariasapoyo=$hordinariasapoyo."<td width='20'  align='center' class='llenarTabla'>".$hrord."</td>"; break;
						}
						}


						}




		//horas por turno
		$totalhorasturno=$Objh->sum_hrs_persona_turno_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida,$idh);

		if($totalhorasturno==0){
			$hordinariasapoyo=$hordinariasapoyo."<td width='60' class='facetfilaTD' align='center'><b>0</b></td></tr>";
		}else{
			$hordinariasapoyo=$hordinariasapoyo."<td width='60' class='facetfilaTD'  align='center'><b>".$totalhorasturno."</b></td></tr>";
		}
	}

		}

	//sub cantidades de los grupos de areas

						for ($k=1;$k<=$numeroDeDias;$k++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_reprog($conex,$k,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga);
							if($numhrsga>0){
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>".$numhrsga."</b></td>";
							}else{
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>-</b></td>";
							}
						}

						$tothrs= $Objh->sum_hrs_per_total_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga);

    $subtotalhrsa="<tr><td align='left' colspan='4' class='llenarsubT'>SUB TOTAL DE HORAS</td>".$subtotalhrs."<td width='60' class='llenarsubT' align='center'>".$tothrs."</td></tr>";
	$hordinariasapoyo=$hordinariasapoyo.$subtotalhrsa;
	$subtotalhrs="";
	}

	}

	//total de hrs ordinarias

	for ($p=1;$p<=$numeroDeDias;$p++){
						$Objh = new Horario();
						$sumhrdia_to= $Objh->sum_hrs_per_garea_reprog($conex,$p,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0);
						if($sumhrdia_to>0){
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>".$sumhrdia_to."</b></td>";
							}else{
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>0</b></td>";
							}
						}


						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0);
						if($to_hrs_per!=0){
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}

    $totalhrsord="<tr><td align='left' colspan='4' class='llenarTot'>TOTAL DR HORAS ORDINARIAS</td>".$totalhrs."<td width='60' class='llenarTot' align='center'>".$tothrs."</td></tr>";
	$hordinariasapoyo=$hordinariasapoyo.$totalhrsord;
	$totalhrs="";
	//final de horas ordinarias

	}
	}


$hextrasencabeza = "<tr><td align='left' colspan='".$cabeceramayor."' class='facetfilaTD'><b>HORAS EXTRAS</b></td></tr>";

///HORAS EXTRAS EN EL SERVICIO

		//pregunta por el grupo area
			$Objga = new GrupoArea();
			$res_gaprog = array();
			$res_gaprog = $Objga->listar_garea_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp, $ugid,1);

			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$garea= $res_gaprog[$iga]['garea'];
			$hextras=$hextras."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>".$garea."</td></tr>";

					//pregunta por las areas
						$Obja = new Area();
						$res_aprog = array();
						$res_aprog = $Obja->listar_area_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,$idga,1);

						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];

						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida);
						$hextras=$hextras."<tr><td rowspan='".$cantreg."' class='LlenarTablaGarea'>".$area."</td>";

						//pregunta por el horario
						$res_hrs = $Objh->lis_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida);

						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];

						//Pregunta por el Horario
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);

						$hextras=$hextras."<td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['hora']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['turno']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['numhora']."</td>";

						for ($i=1;$i<=$numeroDeDias;$i++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->reprog_hrs_persona($conex,$i,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida,$idh);

						$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno ));
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $hextras=$hextras."<td width='20' align='center' class ='FacetDataText'>-</td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hextras=$hextras."<td width='20' align='center' class='llenarTabla'>-</td>"; break;
						}

						}else{

						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $hextras=$hextras."<td width='20' align='center' class ='FacetDataText'><b>".$hrord."</b></td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hextras=$hextras."<td width='20'  align='center' class='llenarTabla'>".$hrord."</td>"; break;
						}
						}
						}
		//horas por turno
		$totalhorasturno=$Objh->sum_hrs_persona_turno_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida,$idh);
		if($totalhorasturno==0){
			$hextras=$hextras."<td width='60' class='facetfilaTD' align='center'><b>0</b></td></tr>";
		}else{
			$hextras=$hextras."<td width='60' class='facetfilaTD'  align='center'><b>".$totalhorasturno."</b></td></tr>";
		}
	}
}

///PARA REVISAR  PARA ABAJO
	//sub cantidades de los grupos de areas
						for ($kk=1;$kk<=$numeroDeDias;$kk++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_reprog($conex,$kk,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga);

							if($numhrsga>0){
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>".$numhrsga."</b></td>";
							}else{
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>-</b></td>";
							}
						}

						$tothrs= $Objh->sum_hrs_per_total_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga);

    $subtotalhrsa="<tr><td align='left' colspan='4' class='llenarsubT'>SUB TOTAL DE HORAS</td>".$subtotalhrs."<td width='60' class='llenarsubT' align='center'>".$tothrs."</td></tr>";
	$hextras=$hextras.$subtotalhrsa;
	$subtotalhrs="";
	}}

		//total de hrs extras
	if($hextras !=''){
	for ($a=1;$a<=$numeroDeDias;$a++){
					$Objh = new Horario();
					$sumhrdia_to= $Objh->sum_hrs_per_garea_reprog($conex,$a,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1);
							if($sumhrdia_to>0){
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>".$sumhrdia_to."</b></td>";
							}else{
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>0</b></td>";
							}
						}

						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_reprog($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1);
						if($to_hrs_per!=0){
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}

    $totalhrsord="<tr><td align='left' colspan='4' class='llenarTot'>TOTAL DE HORAS EXTRAS</td>".$totalhrs."<td width='60' class='llenarTot' align='center'>".$tothrs."</td></tr>";
	$hextras=$hextras.$totalhrsord;
	$totalhrs="";
	}


////////////////////FIN H. EXTRAS EN EL SERVICIO
//buscando programacion por servicio
$hextrasapoyoencabeza = "<tr><td align='left' colspan='".$cabeceramayor."' class='facetfilaTD'><b>HORAS EXTRAS</b></td></tr>";

for($iso=0;$iso<count($datosj);$iso++){
$idso = $datosj[$iso]['ids'];
$Objshp = new SubhoraReprogramado();
			$res_hrsprog = $Objshp->ask_hrsreprog_per($conex,$ugid,$anno,$mm,$idtp,$idj,$ids,$idso,1);

		if(count($res_hrsprog)>0){
			$nomservicio =  $datosj[$iso]['nom'];
			$hextrasapoyo=$hextrasapoyo."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>APOYO AL ".$nomservicio."</td></tr>";

		//Pregunta por los Grupos Areas Programadas
			$Objga = new GrupoArea();
			$res_gaprog = array();
			$res_gaprog = $Objga->listar_garea_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp, $ugid,1);

			if(count($res_gaprog)>0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$garea= $res_gaprog[$iga]['garea'];
			$hextrasapoyo=$hextrasapoyo."<tr><td class='facetfilaTD' colspan='".$cabeceramayor."'>".$garea."</td></tr>";

					//pregunta por las areas
						$Obja = new Area();
					$res_aprog = array();
					$res_aprog = $Obja->listar_area_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,$idga,1);

						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];

						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida);

						$hextrasapoyo=$hextrasapoyo."<tr><td rowspan='".$cantreg."' class='LlenarTablaGarea'>".$area."</td>";

						//pregunta por los horarios
						$res_hrs = $Objh->lis_horario_reprog_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida);

						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];

						//pregunta por el turno
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);

						$hextrasapoyo=$hextrasapoyo."<td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['hora']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['turno']."</td><td align='center' class='LlenarTablaGareadet'>".$res_hr[$ih]['numhora']."</td>";


						for ($i=1;$i<=$numeroDeDias;$i++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->reprog_hrs_persona($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida,$idh);

						$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno ));
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $hextrasapoyo=$hextrasapoyo."<td width='20' align='center' class ='FacetDataText'> </td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hextrasapoyo=$hextrasapoyo."<td width='20' align='center' class='llenarTabla'> </td>"; break;
						}

						}else{
						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $hextrasapoyo=$hextrasapoyo."<td width='20' align='center' class ='FacetDataText'><b>".$hrord."</b></td>"; break;
						    case 1:
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $hextrasapoyo=$hextrasapoyo."<td width='20'  align='center' class='llenarTabla'>".$hrord."</td>"; break;
						}
						}
						}
		//horas por turno
		//Suma de Horas por Turno o Horario
				$totalhorasturno=$Objh->sum_hrs_persona_turno_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida,$idh);
			if($totalhorasturno==0){
			$hextrasapoyo=$hextrasapoyo."<td width='60' class='facetfilaTD'><b>0</b></td></tr>";
		}else{
			$hextrasapoyo=$hextrasapoyo."<td width='60' class='facetfilaTD'  align='center'><b>".$totalhorasturno."</b></td></tr>";
		}
	}
}


	//sub cantidades de los grupos de areas
						for ($i=1;$i<=$numeroDeDias;$i++){
							$Objh = new Horario();
						$numhrsga = $Objh->sum_hrs_per_garea_dia_reprog($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga);
							if($numhrsga>0){
							$numhrs = $numhrsga;
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>".$numhrs."</b></td>";
							}else{
							$subtotalhrs=$subtotalhrs."<td width='20' class='llenarsubT' align='center'><b>-</b></td>";
							}
						}

						//horas subtotales por personal grupo area
									$tothrs= $Objh->sum_hrs_per_total_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga);

    $subtotalhrsa="<tr><td align='left' colspan='4' class='llenarsubT'>SUB TOTAL DE HORAS</td>".$subtotalhrs."<td width='60' class='llenarsubT' align='center'>".$tothrs."</td></tr>";
	$hextrasapoyo=$hextrasapoyo.$subtotalhrsa;
	$subtotalhrs="";

	}}
		//total de hrs extras

	for ($i=1;$i<=$numeroDeDias;$i++){
							$Objh = new Horario();
				$sumhrdia_to= $Objh->sum_hrs_per_garea_reprog($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1);
							if($sumhrdia_to>0){
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>".$sumhrdia_to."</b></td>";								}else{
							$totalhrs=$totalhrs."<td width='20' class='llenarTot' align='center'><b>0</b></td>";
							}
						}


						//horas ordinarias totales por personal
					$to_hrs_per= $Objh->sum_per_total_reprog($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1);
					if($to_hrs_per!=0){
					$tothrs = $to_hrs_per;
					}else{
					$tothrs = 0;
					}

    $totalhrsord="<tr><td align='left' colspan='4' class='llenarTot'>TOTAL DR HORAS EXTRAS</td>".$totalhrs."<td width='60' class='llenarTot' align='center'>".$tothrs."</td></tr>";
	$hextrasapoyo=$hextrasapoyo.$totalhrsord;
	$totalhrs="";

}}


$final="</table>";

$detalleprogramacion ="";
if ($hordinarias !=''){
$detalleprogramacion = $detalleprogramacion.$calendario.$hordinariasencabeza.$hordinarias;
}
if ($hextras!=''){
$detalleprogramacion = $detalleprogramacion.$calendario.$hextrasencabeza.$hextras;
//echo $detalleprogramacion;
}
if ($hordinariasapoyo !=''){
$detalleprogramacion = $detalleprogramacion.$calendario.$hordinariasapoyoencabeza.$hordinariasapoyo;
}
if ($hextrasapoyo !=''){
$detalleprogramacion = $detalleprogramacion.$calendario.$hextrasapoyoencabeza.$hextrasapoyo;
//echo $hextrasapoyo;
}

	//$Objua = new UsuarioAprueba();
	//$res_valida = array();
	//$res_valida = $Objua->ask_reprog_validado($anno,$mm,$idsp,$idjp,$idtp);

if(isset($_GET['obs'])){
$Objutobs = new UsuarioTrabaja();
$obs = $_GET['obs'];
$Objutobs->update_obs2_per($conex,$idjp,$idtp,$idsp,$anno,$mm,$ugid,$obs);
}

$Objut = new UsuarioTrabaja();
$observ=$Objut->ask_obs_per_reprog($conex,$idjp,$ids,$idtp,$idsp,$anno,$mm,$ugid);

$numeroobs = $cabeceramayor - 7;
$obs = "<tr><td class='facetfilaTD' colspan='4' align='center' higth='10'>OBSERVACIONES</td><td colspan='$numeroobs' align='left' class='FacetDataTextC'><input type='text' id='obs' value='".$observ."' size='110'></td><td colspan='3' align='center' class='FacetDataTextC'><input type='button' onCLick='guardarobs()' value='Grabar Observ'></td></tr>";

echo $detalleprogramacion.$obs.$final;
?>
</form>
</body>
</html>
